USE COWS
GO

IF EXISTS (select * from INFORMATION_SCHEMA.TABLE_CONSTRAINTS WHERE CONSTRAINT_NAME='UX01_REDSGN_EMAIL_NTFCTN' and CONSTRAINT_SCHEMA='dbo')
BEGIN
ALTER TABLE dbo.REDSGN_EMAIL_NTFCTN DROP CONSTRAINT UX01_REDSGN_EMAIL_NTFCTN
END

IF EXISTS (select * from INFORMATION_SCHEMA.TABLE_CONSTRAINTS WHERE CONSTRAINT_NAME='FK01_REDSGN_EMAIL_NTFCTN' and CONSTRAINT_SCHEMA='dbo')
BEGIN
ALTER TABLE dbo.REDSGN_EMAIL_NTFCTN DROP CONSTRAINT FK01_REDSGN_EMAIL_NTFCTN
END

ALTER TABLE dbo.REDSGN_EMAIL_NTFCTN
ALTER COLUMN [USER_IDNTFCTN_EMAIL] VARCHAR(MAX) NOT NULL
GO

ALTER TABLE dbo.REDSGN_EMAIL_NTFCTN
ALTER COLUMN [REDSGN_ID] INT NOT NULL
GO

ALTER TABLE [dbo].REDSGN_EMAIL_NTFCTN  ADD  CONSTRAINT FK01_REDSGN_EMAIL_NTFCTN FOREIGN KEY([REDSGN_ID])
REFERENCES [dbo].REDSGN ([REDSGN_ID])
GO